{
  "name" : "Geodata",
  "version" : "1",
  "description" : "API Geodata Stack, imported by ansible.",
  "groups" : [ ],
  "visibility" : "PUBLIC",
  "state" : "STARTED",
  "tags" : [ ],
  "labels" : [ ],
  "entrypoints" : [ {
    "target" : "https://apim.{{ DOMAIN }}/gateway/geodata"
  } ],
  "context_path" : "/gateway/geodata",
  "proxy" : {
    "virtual_hosts" : [ {
      "path" : "/gateway/geodata"
    } ],
    "strip_context_path" : false,
    "preserve_host" : false,
    "groups" : [ {
      "name" : "default-group",
      "endpoints" : [ {
        "backup" : false,
        "inherit" : true,
        "name" : "default",
        "weight" : 1,
        "type" : "http",
        "target" : "http://geodata-qgisserver-webgis-qgisserver-http.{{ k8s_namespace }}.svc.cluster.local:80"
      } ],
      "load_balancing" : {
        "type" : "ROUND_ROBIN"
      },
      "http" : {
        "connectTimeout" : 5000,
        "idleTimeout" : 60000,
        "keepAlive" : true,
        "readTimeout" : 10000,
        "pipelining" : false,
        "maxConcurrentConnections" : 100,
        "useCompression" : true,
        "followRedirects" : false
      }
    } ]
  },
  "flow_mode" : "DEFAULT",
  "flows" : [ {
    "name" : "",
    "path-operator" : {
      "path" : "/",
      "operator" : "STARTS_WITH"
    },
    "condition" : "",
    "consumers" : [ ],
    "methods" : [ ],
    "pre" : [ {
      "name" : "OAuth2",
      "description" : "api:read Policy, created with ansible.",
      "enabled" : true,
      "policy" : "oauth2",
      "configuration" : {"propagateAuthHeader":true,"requiredScopes":["api:read"],"extractPayload":true,"checkRequiredScopes":true,"modeStrict":false,"oauthResource":"keycloak-auth"}
    } ],
    "post" : [ ],
    "enabled" : true
  }, {
    "name" : "",
    "path-operator" : {
      "path" : "/",
      "operator" : "STARTS_WITH"
    },
    "condition" : "",
    "consumers" : [ ],
    "methods" : [ "PATCH", "POST", "PUT" ],
    "pre" : [ {
      "name" : "OAuth2",
      "description" : "api:write Policy, created with ansible.",
      "enabled" : true,
      "policy" : "oauth2",
      "configuration" : {"propagateAuthHeader":true,"requiredScopes":["api:write"],"extractPayload":true,"checkRequiredScopes":true,"modeStrict":false,"oauthResource":"keycloak-auth"}
    } ],
    "post" : [ ],
    "enabled" : true
  }, {
    "name" : "URLRewrite in GetCapabilities",
    "path-operator" : {
      "path" : "/",
      "operator" : "STARTS_WITH"
    },
  {% raw %} 
    "condition" : "{#request.params['REQUEST'][0].toString() == 'GetCapabilities'}",
  {% endraw %} 
    "consumers" : [ ],
    "methods" : [ ],
    "pre" : [ ],
    "post" : [ {
      "name" : "URL Rewriting",
      "description" : "",
      "enabled" : true,
      "policy" : "url-rewriting",
      "configuration" : {"toReplacement":"https://apim.{{ DOMAIN }}/gateway/geodata/ogc/","rewriteResponseBody":true,"fromRegex":"https://geoportal.{{ DOMAIN }}/mapserver/ogc/","rewriteResponseHeaders":false}
    }, {
      "name" : "URL Rewriting",
      "description" : "",
      "enabled" : true,
      "policy" : "url-rewriting",
      "configuration" : {"toReplacement":"https://apim.{{ DOMAIN }}/gateway/geodata/ogc/","rewriteResponseBody":true,"fromRegex":"https://apim.{{ DOMAIN }}/ogc/","rewriteResponseHeaders":false}
    } ],
    "enabled" : true
  } ],
  "owner" : {
    "email" : "admin@{{ DOMAIN }}",
    "displayName" : "Admin Admin",
    "type" : "USER"
  },
  "properties" : [ ],
  "services" : {
    "health-check" : {
      "enabled" : true,
      "schedule" : "*/30 * * * * *",
      "steps" : [ {
        "name" : "default-step",
        "request" : {
          "path" : "/ogc/basis",
          "method" : "GET",
          "fromRoot" : false
        },
        "response" : {
          "assertions" : [ "#response.status == 200" ]
        }
      } ]
    }
  },
  "resources" : [ {
    "name" : "keycloak-auth",
    "type" : "oauth2",
    "enabled" : true,
    "configuration" : {"type":"oauth2","enabled":true,"authorizationServerUrl":"https://idm.{{ DOMAIN }}/auth","introspectionEndpoint":"/realms/futr-hub-datenplattform/protocol/openid-connect/token/introspect","introspectionEndpointMethod":"POST","scopeSeparator":" ","userInfoEndpoint":"/realms/futr-hub-datenplattform/protocol/openid-connect/userinfo","userInfoEndpointMethod":"GET","useClientAuthorizationHeader":true,"clientAuthorizationHeaderName":"Authorization","clientAuthorizationHeaderScheme":"Basic","tokenIsSuppliedByQueryParam":false,"tokenQueryParamName":"token","tokenIsSuppliedByHttpHeader":false,"tokenIsSuppliedByFormUrlEncoded":true,"tokenFormUrlEncodedName":"token","userClaim":"sub","clientId":"api-access","clientSecret":"{{ IDM_CLIENT_SECRET_API_ACCESS }}","tokenHeaderName":"Authorization"}
  } ],
  "path_mappings" : [ ],
  "response_templates" : { },
  "lifecycle_state" : "PUBLISHED",
  "disable_membership_notifications" : false
}